Delete a shipment custom field
curl --request DELETE \
--url https://api.terminal49.com/v2/shipments/{shipment_id}/custom_fields/{api_slug} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/shipments/{shipment_id}/custom_fields/{api_slug}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/shipments/{shipment_id}/custom_fields/{api_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shipments
Delete shipment custom field
Remove a custom field value from a shipment in the Terminal49 API by referencing the custom field definition’s api_slug for that shipment record.
DELETE
/
shipments
/
{shipment_id}
/
custom_fields
/
{api_slug}
Delete a shipment custom field
Deletes a specific custom field from a shipment by its
api_slug.
Path parameters
| Parameter | Required | Description |
|---|---|---|
shipment_id | Yes | The ID of the shipment |
api_slug | Yes | The api_slug of the custom field definition |
Authorization
Requiresupdate permission on the shipment.
Response
Returns204 No Content on success.Was this page helpful?
⌘I